Bug 189600 - 'null' config values showing up in rhn.conf
Summary: 'null' config values showing up in rhn.conf
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer   
(Show other bugs)
Version: 410
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 171660
TreeView+ depends on / blocked
 
Reported: 2006-04-21 15:03 UTC by Mike McCune
Modified: 2007-08-06 16:57 UTC (History)
1 user (show)

Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 19:22:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2006-04-21 15:03:14 UTC
This most likely has to do with the recent change in the java Config system
where I set empty strings to null instead of quote quote ("")

Comment 1 Beth Nackashi 2006-04-22 18:54:16 UTC
cwelton is QA contact for satellite installer

Comment 2 Mike McCune 2006-04-24 14:22:48 UTC
TESTPLAN:

1) Go to the General Config page (Satellite Tools -> General Config)
2) Make sure the Proxy inputs are blank (they dont say null)
3) Submit the form.
4) examine the /etc/rhn/rhn.conf and look for:

#option generated from rhn-config-satellite.pl
server.satellite.http_proxy_username=

#option generated from rhn-config-satellite.pl
server.satellite.http_proxy=

5) Make sure those values are as above and *NOT* like this:

server.satellite.http_proxy=null



Comment 3 Mike McCune 2006-05-02 20:09:05 UTC
moving to ON_QA

Comment 4 Corey Welton 2006-05-10 18:00:42 UTC
QA Verified: No strings of "null" appear in the above config file.


Comment 5 Beth Nackashi 2006-07-19 19:22:23 UTC
moving to closed - currentrelease


Note You need to log in before you can comment on or make changes to this bug.